public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "罗百科" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/gmp-ecm/
Date: Sun, 25 Aug 2019 14:44:53 +0000 (UTC)	[thread overview]
Message-ID: <1566744276.086077afa79e55f21c9285dec27752f18a34833b.patrick@gentoo> (raw)

commit:     086077afa79e55f21c9285dec27752f18a34833b
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 25 14:44:13 2019 +0000
Commit:     罗百科 <patrick <AT> gentoo <DOT> org>
CommitDate: Sun Aug 25 14:44:36 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=086077af

sci-mathematics/gmp-ecm: Bump

Package-Manager: Portage-2.3.72, Repoman-2.3.17
Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>

 sci-mathematics/gmp-ecm/Manifest             |  1 +
 sci-mathematics/gmp-ecm/gmp-ecm-7.0.4.ebuild | 55 ++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/sci-mathematics/gmp-ecm/Manifest b/sci-mathematics/gmp-ecm/Manifest
index aa8aa2b10d4..5306618db19 100644
--- a/sci-mathematics/gmp-ecm/Manifest
+++ b/sci-mathematics/gmp-ecm/Manifest
@@ -1,2 +1,3 @@
 DIST gmp-ecm-6.4.3.tar.gz 944719 BLAKE2B aa07f0b6c4a4b0d3bb36b596ddbaefd259b2387fa0295a829c8e239b0edde0e1f3887bff19a6b0b67083cbec7706fa41214a21eeca8b83eb4b3f7e3cc372c113 SHA512 71ccdf3b48e96b0acad45302c87a7b17a20ad289efde212a34fb11491531b96848f1824606fdab7604874ca7d8165baba4bbfbc8424e27e8844444ad0d4f56a6
 DIST gmp-ecm-6.4.4.tar.gz 941058 BLAKE2B e83f02592a8bb86285f258fefc3e302cc5168888109e7f87835b25412baf526df58e5ea38347acfd926b90fac15b4103981a14aa7b853dba0cb0168467a223e0 SHA512 039009de2d1a22de7abed2e2b843fa2bc684ddcfc45892891a24b93ad4b3640a97d2e7612ebcbdbca8db032534c226ad77c67199772b21a6139e5fa205687097
+DIST gmp-ecm-7.0.4.tar.gz 1101899 BLAKE2B 6d52364d9c752aee66510a7f6b273559bf1b7de0032fbbeff74e229ed68fd0cd1c236b480f8fc25bcad6435740e3e22b3099c8f018912918ab8f4b33dc7b8b3c SHA512 b863b9bfd26df26c3c4243686036a69110e69ca3eec5b31d4550fe713e2fac4ce70cd1d80f0614899793aa44710531aa4a21abc0fa1b99eb17f62bd92b971350

diff --git a/sci-mathematics/gmp-ecm/gmp-ecm-7.0.4.ebuild b/sci-mathematics/gmp-ecm/gmp-ecm-7.0.4.ebuild
new file mode 100644
index 00000000000..54f7a1bbd2d
--- /dev/null
+++ b/sci-mathematics/gmp-ecm/gmp-ecm-7.0.4.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit autotools eutils flag-o-matic multilib
+
+DESCRIPTION="Elliptic Curve Method for Integer Factorization"
+HOMEPAGE="http://ecm.gforge.inria.fr/"
+SRC_URI="https://gforge.inria.fr/frs/download.php/36224/${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+blas +custom-tune -openmp static-libs test"
+
+DEPEND="
+	dev-libs/gmp:0=
+	blas? ( sci-libs/gsl )
+	openmp? ( sys-devel/gcc:*[openmp] )"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/ecm-${PV}
+
+MAKEOPTS+=" -j1"
+
+src_prepare() {
+	sed -e '/libecm_la_LIBADD/s:$: -lgmp:g' -i Makefile.am || die
+	eautoreconf
+}
+
+src_configure() {
+	# --enable-shellcmd is broken
+	econf \
+		--enable-shared \
+		$(use_enable static-libs static) \
+		$(use_enable openmp) \
+		${myconf}
+}
+
+src_compile() {
+	append-ldflags "-Wl,-z,noexecstack"
+	if use custom-tune; then
+		use amd64 && cd x86_64
+		use x86 && cd pentium4
+		emake
+	fi
+	default
+}
+
+src_install() {
+	default
+	mkdir -p "${ED}/usr/include/${PN}/"
+	cp "${S}"/*.h "${ED}/usr/include/${PN}" || die "Failed to copy headers" # needed by other apps like YAFU
+}


             reply	other threads:[~2019-08-25 14:45 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-25 14:44 罗百科 [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-11-24 15:12 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/gmp-ecm/ Arthur Zamarin
2023-04-16 12:11 WANG Xuerui
2022-11-20  0:13 Sam James
2022-11-20  0:13 Sam James
2022-11-18 17:29 Arthur Zamarin
2022-10-08  2:06 Michael Orlitzky
2022-05-16  8:12 David Seifert
2022-05-13 22:50 Conrad Kostecki
2022-05-06 11:44 Michael Orlitzky
2021-11-22  3:07 Yixun Lan
2021-10-12  8:18 Michael Orlitzky
2021-10-12  7:14 Agostino Sarubbo
2021-10-12  7:10 Agostino Sarubbo
2021-06-15  0:43 Michael Orlitzky
2021-05-31 22:45 Michael Orlitzky
2021-05-31 20:45 David Seifert
2021-04-18 12:11 Andreas Sturmlechner
2021-01-24 16:21 Sam James
2021-01-06 21:29 Brian Evans
2021-01-06 15:19 Fabian Groffen
2020-10-27 19:58 Sam James
2020-10-27  5:11 Sam James
2020-03-09 13:40 Michael Orlitzky
2020-03-09 12:48 Agostino Sarubbo
2020-03-09 12:39 Agostino Sarubbo
2020-03-02 17:21 Michael Orlitzky
2020-03-01 13:59 Michael Orlitzky
2020-02-29 16:05 Michael Orlitzky
2020-02-28 13:38 Michael Orlitzky
2019-10-16  8:24 Sergei Trofimovich
2019-09-15 10:42 罗百科
2019-06-23 18:14 David Seifert
2016-05-14 23:32 David Seifert
2016-05-14 23:32 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1566744276.086077afa79e55f21c9285dec27752f18a34833b.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox